Advance
curl --request PATCH \
--url https://api.paygentic.io/v0/testClocks/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"currentTime": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.paygentic.io/v0/testClocks/{id}"
payload = { "currentTime": "2023-11-07T05:31:56Z" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({currentTime: '2023-11-07T05:31:56Z'})
};
fetch('https://api.paygentic.io/v0/testClocks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "tc_w9x0y1z2a3b4c5d6",
"createdAt": "2024-03-01T09:00:00Z",
"currentTime": "2024-03-20T14:00:00Z",
"deletedAt": null,
"description": "Test clock for daily usage billing scenarios",
"merchantId": "org_e7f8g9h0i1j2k3l4",
"name": "Daily Usage Test",
"updatedAt": "2024-03-20T14:00:00Z"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}Test Clocks
Advance
Advances the test clock’s current time. You can either specify a new absolute time or advance by a duration.
PATCH
/
v0
/
testClocks
/
{id}
Advance
Authorizations
API key authentication
Path Parameters
The unique identifier of the test clock
Pattern:
^tc_[a-zA-Z0-9]{16}$Body
application/json
- Option 1
- Option 2
New absolute time for the test clock (must be forward in time)
Response
Test clock updated successfully
Unique identifier for the test clock
Pattern:
^tc_[a-zA-Z0-9]{16}$When the test clock was created
The simulated current time of the test clock
The merchant organization that owns this test clock
When the test clock was last updated
When the test clock was deleted (if applicable)
Description of the test clock's purpose
Name of the test clock
Was this page helpful?
⌘I